aboutsummaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorJulien Roy <julien@jroy.ca>2023-02-04 23:32:27 -0500
committerJulien Roy <julien@jroy.ca>2023-02-04 23:32:27 -0500
commit8ef8c060ef0b4c7ebf72eac536adfdf204306c4e (patch)
treeb784df5ba7342df2b10f693a9454c2ae5013f3cf /dev-python
parent38a35afc9d1001654bf05c02e302581ce863ba12 (diff)
downloadMrRoy-Overlay-8ef8c060ef0b4c7ebf72eac536adfdf204306c4e.tar.gz
MrRoy-Overlay-8ef8c060ef0b4c7ebf72eac536adfdf204306c4e.tar.bz2
MrRoy-Overlay-8ef8c060ef0b4c7ebf72eac536adfdf204306c4e.zip
dev-python/zope-security: new package, add 6.1
Signed-off-by: Julien Roy <julien@jroy.ca>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/zope-security/Manifest1
-rw-r--r--dev-python/zope-security/metadata.xml22
-rw-r--r--dev-python/zope-security/zope-security-6.1.ebuild61
3 files changed, 84 insertions, 0 deletions
diff --git a/dev-python/zope-security/Manifest b/dev-python/zope-security/Manifest
new file mode 100644
index 0000000..6b1a154
--- /dev/null
+++ b/dev-python/zope-security/Manifest
@@ -0,0 +1 @@
+DIST zope-security-6.1.gh.tar.gz 113870 BLAKE2B 0d625e93336c97d19ceb945ed7d97a8310de12fd7b18ec4e2076b1f082b37009b779d6da9313e22034c50555aec0f29d15e9158a7460bb96754a733cad959a2e SHA512 c8a16b5c41feb68911a07f7a18067472915bd10dfe560a909c0d69d758aeee8b8ceaa30eedf6e850708c3ec5f4cb05845b885a4dc352d0e189d6311b3242924d
diff --git a/dev-python/zope-security/metadata.xml b/dev-python/zope-security/metadata.xml
new file mode 100644
index 0000000..591e45f
--- /dev/null
+++ b/dev-python/zope-security/metadata.xml
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <name>Julien Roy</name>
+ <email>julien@jroy.ca</email>
+ </maintainer>
+ <longdescription>
+ The Security framework provides a generic mechanism to implement security policies on Python objects.
+ </longdescription>
+ <upstream>
+ <maintainer>
+ <name>Zope Foundation and Contributors</name>
+ <email>zope-dev@zope.org</email>
+ </maintainer>
+ <bugs-to>https://github.com/zopefoundation/zope.security/issues</bugs-to>
+ <changelog>https://github.com/zopefoundation/zope.security/blob/master/CHANGES.rst</changelog>
+ <doc>https://zopesecurity.readthedocs.io/</doc>
+ <remote-id type="github">zopefoundation/zope.security</remote-id>
+ <remote-id type="pypi">zope.security</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/zope-security/zope-security-6.1.ebuild b/dev-python/zope-security/zope-security-6.1.ebuild
new file mode 100644
index 0000000..bb1b5c9
--- /dev/null
+++ b/dev-python/zope-security/zope-security-6.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python descriptors which cache their output"
+HOMEPAGE="https://github.com/zopefoundation/zope.security"
+SRC_URI="https://github.com/zopefoundation/zope.security/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${PN/-/\.}-${PV}"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64"
+# Tests fail, needs to be investigate
+RESTRICT="test"
+
+RDEPEND="
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/zope-component[${PYTHON_USEDEP}]
+ dev-python/zope-i18nmessageid[${PYTHON_USEDEP}]
+ dev-python/zope-interface[${PYTHON_USEDEP}]
+ dev-python/zope-location[${PYTHON_USEDEP}]
+ dev-python/zope-proxy[${PYTHON_USEDEP}]
+ dev-python/zope-schema[${PYTHON_USEDEP}]
+ doc? (
+ dev-python/repoze-sphinx-autointerface[${PYTHON_USEDEP}]
+ dev-python/zope-configuration[${PYTHON_USEDEP}]
+ dev-python/zope-testing[${PYTHON_USEDEP}]
+ )
+ test? (
+ dev-python/btrees[${PYTHON_USEDEP}]
+ dev-python/zope-configuration[${PYTHON_USEDEP}]
+ dev-python/zope-testing[${PYTHON_USEDEP}]
+ dev-python/zope-testrunner[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_sphinx docs
+distutils_enable_tests unittest
+
+src_prepare() {
+ # strip rdep specific to namespaces
+ sed -i -e "/'setuptools'/d" setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+src_test() {
+ cd "${S}/src/zope/security" || die
+ distutils-r1_src_test
+}